Bug 1276763 - Doc link and AEP variant name in wizard text
Doc link and AEP variant name in wizard text
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Samuel Munilla
Ma xiaoqiang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 15:12 EDT by Alex Dellapenta
Modified: 2016-07-03 20:45 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-20 10:42:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Dellapenta 2015-10-30 15:12:20 EDT
Description of problem:

Two issues in the installer wizard text...

1) In the text about masters and nodes, the master info links to the /latest docs, while the node info links to /3.0:

https://github.com/openshift/openshift-ansible/blob/master/utils/src/ooinstall/cli_installer.py#L83-L97

They currently both resolve to the 3.0 docs, but it would be better if they both were just /latest so that they resolve to 3.1 after GA, and for respective releases in the future.

2) On the "choose your variant" screen, option (3) calls AEP "Atomic OpenShift Enterprise":

====
Which variant would you like to install?

(1) OpenShift Enterprise 3.0
(2) OpenShift Enterprise 3.1
(3) Atomic OpenShift Enterprise 3.1
====

I believe it should instead say Atomic Enterprise Platform 3.1.

https://github.com/openshift/openshift-ansible/blob/master/utils/src/ooinstall/variants.py#L41-L45

Version-Release number of selected component (if applicable):

# rpm -qa | grep openshift
openshift-ansible-3.0.5-1.git.2.d25c1ca.el7aos.noarch
atomic-openshift-utils-3.0.5-1.git.2.d25c1ca.el7aos.noarch
openshift-ansible-roles-3.0.5-1.git.2.d25c1ca.el7aos.noarch
openshift-ansible-playbooks-3.0.5-1.git.2.d25c1ca.el7aos.noarch
Comment 5 Gaoyun Pei 2015-11-04 20:22:45 EST
Verify this bug with atomic-openshift-utils.noarch 0:3.0.7-1.git.48.75d357c.el7aos.

The text about masters and nodes link to the same latest docs now.
http://docs.openshift.com/enterprise/latest/architecture/infrastructure_components/kubernetes_infrastructure.html#master
http://docs.openshift.com/enterprise/latest/architecture/infrastructure_components/kubernetes_infrastructure.html#node

The variant options changed as:
(1) OpenShift Enterprise 3.0
(2) OpenShift Enterprise 3.1
(3) Atomic Enterprise Platform 3.1

Note You need to log in before you can comment on or make changes to this bug.